Skip to content
This repository

This hosts the 0.4.x code of polymer.dart package. See link for how to update.

Fetching latest commit…

Cannot retrieve the latest commit at this time

README.md

Web UI

Web UI lets you build web apps as if you had a browser from the future. You can use the cool new web technologies like Web Components, and features like dynamic templates and live data binding inspired by Model Driven Views and Dart today. Build apps easily using HTML as your template language, express your application's components in HTML, and synchronize your data automatically between Dart and your components.

We believe that:

  • Web Components and MDV are on their way, we should start using them now.
  • Cool new features should be made available to modern browsers that haven't yet implemented them.
  • Write/reload is just as important as write/compile/minimize/ship.
  • Working in open source is the way to go.
  • Developers from all backgrounds should be building awesome modern web apps.

Try It Now

Add the Web UI package to your pubspec.yaml file, selecting a version range that works with your version of the SDK. For example:

dependencies:
  web_ui: ">=0.2.8 <0.2.9"    # works with SDK 15595

Versions change within the range when we release small bug fixes, but it changes outside of the range on any breaking change. See our changelog to find the version that works best for you.

If you continually update your SDK, you can use the latest version of web_ui:

dependencies:
  web_ui: any

Learn More

See our TodoMVC example running. Read the README.md in example/todomvc for more details.

Running Tests

Dependencies are installed using the Pub Package Manager.

pub install

# Run command line tests and automated end-to-end tests. It needs two
# executables on your path: `dart` and `DumpRenderTree` (see below
# for links to download `DumpRenderTree`)
test/run.sh

Note: to run browser tests you will need to have DumpRenderTree, which can be downloaded prebuilt for Ubuntu Lucid, Windows, or Mac. You can also build it from the Dartium and DRT sources.

Contacting Us

Please file issues in our Issue Tracker or contact us on the Dart Web UI mailing list.

Something went wrong with that request. Please try again.